<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = 'purchase_exp.php';

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$gtype = $_REQUEST["para"];

$keycond = "";


$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND a.`vouchno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`vouchdt` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND a.`invno` = '$searchTerm'";
//        } else if ($_REQUEST["sfield"] == "4") {
//            $cond = "AND b.`gcode` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND c.`name` = '$searchTerm'";
        }
    } else {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND a.`invno` LIKE '%$searchTerm%'";
//        } else if ($_REQUEST["sfield"] == "4") {
//            $cond = "AND b.`gcode` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND c.`name` LIKE '%$searchTerm%'";
        }
    }
}


$sortcond = "ORDER BY a.`vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY  a.`vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`invno`";
//} else if ($_REQUEST["sortBy"] == "4") {
//    $sortcond = " ORDER BY b.`gcode`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY c.`name`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}


$query = "SELECT a.voucher,a.vouchno,a.vouchdt,a.invno,a.godown,a.party,c.accode,c.name from purexpmain a, accmast c
          where a.party = c.accode $keycond $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
//    $mlen = strlen($r['voucher']);
//    $vouch = str_repeat("0", 6 - $mlen) . $r['voucher'];

    $rows[] = ['success' => true,
        'vouchno' => $r['vouchno'],
        'voucher' => $r['voucher'],
        'vouchdt' => $r['vouchdt'],
        'invno' => $r['invno'],
//        'gcode' => $r[gcode],
        'name' => $r['name'],
        'action' => "$file?mode=edit&$keyfld=$r[vouchno]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
